
ThreatFactor NSIA - Bug #139

Scan Delay Does Not Apply to New Rules

04/30/2010 10:30 AM - Luke Murphey

Status: Closed Start date: 04/30/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9 (Beta)   

Description

NSIA does not apply the standard scan delay to newly created rules. Thus, rules get scanned almost immediately and may get

scanned twice if a user presses the manual scan button.

History

#1 - 04/30/2010 12:01 PM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 04/30/2010 10:35 PM - Luke Murphey

This is going to require a database schema change since scan rules do not currently retain a create or modification date.

#3 - 05/17/2010 10:58 PM - Luke Murphey

Added created and modified dates to the ScanRule class and verified that they are being set properly.

Created and modified dates maintained per changes in r469.

#4 - 05/19/2010 12:19 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented 5 minute delay in r470.
